Bug 524813 - Can't install virtual machines with virt-manager
Can't install virtual machines with virt-manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-22 06:30 EDT by Eryu Guan
Modified: 2009-10-15 02:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 02:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpuinfo of host (2.80 KB, text/plain)
2009-09-22 06:30 EDT, Eryu Guan
no flags Details
virt capabilities (1.49 KB, text/plain)
2009-09-22 06:31 EDT, Eryu Guan
no flags Details
lspci -vvv (21.82 KB, text/plain)
2009-09-22 06:32 EDT, Eryu Guan
no flags Details
virt-manager.log (196.93 KB, text/plain)
2009-09-22 06:32 EDT, Eryu Guan
no flags Details
guest configuration xml file (1.59 KB, text/plain)
2009-09-22 06:33 EDT, Eryu Guan
no flags Details
screenshot (199.87 KB, image/png)
2009-09-22 06:34 EDT, Eryu Guan
no flags Details
screenshot of new image (401.75 KB, image/png)
2009-10-10 02:58 EDT, Eryu Guan
no flags Details
virt-manager.log of new image (8.26 KB, text/plain)
2009-10-10 02:59 EDT, Eryu Guan
no flags Details
guest log at /var/log/libvirt/qemu/ (6.17 KB, text/plain)
2009-10-10 03:01 EDT, Eryu Guan
no flags Details

  None (edit)
Description Eryu Guan 2009-09-22 06:30:01 EDT
Description of problem:
I tried to install a virtual F12 guest system on rawhide but anaconda got an "unhandled exception" during the partitioning step.

uname -a
Linux localhost.localdomain 2.6.31-14.fc12.i686 #1 SMP Tue Sep 22 04:04:35 EDT 2009 i686 i686 i386 GNU/Linux

Version-Release number of selected component (if applicable):
qemu-kvm-0.10.92-4.fc12.i686
qemu-system-x86-0.10.92-4.fc12.i686
gpxe-roms-qemu-0.9.7-5.fc12.noarch
qemu-img-0.10.92-4.fc12.i686
qemu-common-0.10.92-4.fc12.i686
python-virtinst-0.500.0-3.fc12.noarch
virt-viewer-0.2.0-1.fc12.i686
libvirt-python-0.7.1-4.fc12.i686
libvirt-0.7.1-4.fc12.i686
libvirt-client-0.7.1-4.fc12.i686
virt-manager-0.8.0-4.fc12.noarch

How reproducible:
100%

Steps to Reproduce:
1. insert F12 live-CD into cd-rom
2. start virt-manager, add new guest, choose "Local install media(ISO image or CDROM)",then forward
2. Locate your install media, choose "Use CDROM or DVD", then forward. Rest settings use default.
3. Press finish to start liveCD. Double click "Install to Hard Drive". Select "Use entire drive" when partitioning. Then press next, the failure will occur.
  
Actual results:
Get unhandled exception

Expected results:
Install guest machine successfully.

Additional info:
The liveCD I used is for 20090915 testday.
Comment 1 Eryu Guan 2009-09-22 06:30:59 EDT
Created attachment 362059 [details]
cpuinfo of host
Comment 2 Eryu Guan 2009-09-22 06:31:37 EDT
Created attachment 362060 [details]
virt capabilities
Comment 3 Eryu Guan 2009-09-22 06:32:10 EDT
Created attachment 362061 [details]
lspci -vvv
Comment 4 Eryu Guan 2009-09-22 06:32:46 EDT
Created attachment 362062 [details]
virt-manager.log
Comment 5 Eryu Guan 2009-09-22 06:33:17 EDT
Created attachment 362063 [details]
guest configuration xml file
Comment 6 Eryu Guan 2009-09-22 06:34:36 EDT
Created attachment 362064 [details]
screenshot
Comment 7 Eryu Guan 2009-09-22 10:18:11 EDT
Additional info:
I installed the host system from the same liveCD image so there's no problem with the image
I also tried other liveCD image installing guest system and the same error.
Comment 8 Mark McLoughlin 2009-09-24 03:33:41 EDT
Does it work if you tell virt-manager you are installing a Fedora 12 guest? This will cause virtio to be used

If it does work, it suggests a problem with our IDE emulation
Comment 9 Mark McLoughlin 2009-10-01 05:17:53 EDT
eguan: any more info on this?
Comment 10 Eryu Guan 2009-10-09 04:54:24 EDT
So sorry for the late reply.

I tried tell virt-manager this is a Fedora 12 guest and still the same error.
Comment 11 Mark McLoughlin 2009-10-09 08:38:21 EDT
Could you try with a more recent Live CD e.g. from here:

  http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

Could you also save the anaconda error when it happens again - see the "Save" button in the screenshot?

Also, please include the ~/.virt-manager/virt-manager.log and /var/log/libvirt/$guest.log where you tell it that it's an F-12 guest - they should show bus='virtio' and if=virtio
Comment 12 Eryu Guan 2009-10-10 02:57:28 EDT
I tried desktop-x86_64-20091008.15.iso image, the old error disappears but a new issue comes up.

Firstly install the new image on host then update to the newest rawhide using yum update and install virtualization related packages using yum groupinstall 'Virtualization'

Second follow the steps above except telling virt-manager the guest is Fedora 12

At the end of installation the guest machine hangs up. See the new screenshot. The message box saying "Storing encryption keys". ( I tried many times, the message didn't show up in this picture)

uname -a
Linux dhcp-65-19.nay.redhat.com 2.6.31.1-56.fc12.x86_64 #1 SMP Tue Sep 29 16:16:22 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

qemu-common-0.11.0-4.fc12.x86_64
qemu-img-0.11.0-4.fc12.x86_64
qemu-kvm-0.11.0-4.fc12.x86_64
gpxe-roms-qemu-0.9.7-6.fc12.noarch
qemu-system-x86-0.11.0-4.fc12.x86_64
virt-manager-0.8.0-7.fc12.noarch
python-virtinst-0.500.0-5.fc12.noarch
libvirt-client-0.7.1-10.fc12.x86_64
libvirt-0.7.1-10.fc12.x86_64
virt-viewer-0.2.0-1.fc12.x86_64
libvirt-python-0.7.1-10.fc12.x86_64
Comment 13 Eryu Guan 2009-10-10 02:58:34 EDT
Created attachment 364330 [details]
screenshot of new image
Comment 14 Eryu Guan 2009-10-10 02:59:18 EDT
Created attachment 364331 [details]
virt-manager.log of new image
Comment 15 Eryu Guan 2009-10-10 03:01:19 EDT
Created attachment 364332 [details]
guest log at /var/log/libvirt/qemu/
Comment 16 Mark McLoughlin 2009-10-13 06:14:46 EDT
Okay, there's nothing here that suggests this is a virtualization problem.

Could you try a few more things:

  - A newer livecd image; you don't need to re-install the host or burn
    the ISO

  - De-select the "encrypt hard drive" option in anaconda

  - Try a Fedora 11 livecd image
Comment 17 Eryu Guan 2009-10-15 00:11:17 EDT
I tried rawhide 20091013 livecd and everything goes fine, at last :-)
Comment 18 Mark McLoughlin 2009-10-15 02:40:56 EDT
Okay, sounds like it was just an anaconda issue; thanks for testing

Note You need to log in before you can comment on or make changes to this bug.